Get a paginated list of the Project Groups in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A comma separated list of Project Group IDs to filter on.namestring
The exact name of a Project Group to be matched.partialNamestring
A partial or complete name to limit the set of retrieved Project Groups to. This will perform a “contains” style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — A paginated list of the Project Groups in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectDescriptionstringEnvironmentIdsarray of string
Gets or sets a collection of environment ID’s. If this collection is empty, projects in this group can be deployed to any environment. If the collection is non-empty, then projects in the group are limited to only deploying to the environments listed in this collection. Obsolete. Environments are now controlled by lifecycles as of Oct 2014, version 2.6.5.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this project group.RetentionPolicyIdstring
Gets or sets the ID of the retention policy that will apply to projects in this group.SlugstringSpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Description": "string",
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RetentionPolicyId": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new project group
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
Descriptionstring
The description of the project group.Namestring (required)
The name of the project group. Minimum length 1.SlugstringSpaceIdstring (required)
The ID of the space containing the resource(s).
Response
201 — Created
DescriptionstringEnvironmentIdsarray of string
Gets or sets a collection of environment ID’s. If this collection is empty, projects in this group can be deployed to any environment. If the collection is non-empty, then projects in the group are limited to only deploying to the environments listed in this collection. Obsolete. Environments are now controlled by lifecycles as of Oct 2014, version 2.6.5.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this project group.RetentionPolicyIdstring
Gets or sets the ID of the retention policy that will apply to projects in this group.SlugstringSpaceIdstring
Example Request
{
"Description": "string",
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}Example Response
{
"Description": "string",
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RetentionPolicyId": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}List the name and ID of all of the Project Groups in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Response
200 — The name and ID of all of the Project Groups in the supplied Octopus Deploy Space. The results are sorted alphabetically by name.“
DescriptionstringEnvironmentIdsarray of string
Gets or sets a collection of environment ID’s. If this collection is empty, projects in this group can be deployed to any environment. If the collection is non-empty, then projects in the group are limited to only deploying to the environments listed in this collection. Obsolete. Environments are now controlled by lifecycles as of Oct 2014, version 2.6.5.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this project group.RetentionPolicyIdstring
Gets or sets the ID of the retention policy that will apply to projects in this group.SlugstringSpaceIdstring
Example Response
[
{
"Description": "string",
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RetentionPolicyId": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}
]Get a Project Group by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the ProjectGroup to load.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested project group
DescriptionstringEnvironmentIdsarray of string
Gets or sets a collection of environment ID’s. If this collection is empty, projects in this group can be deployed to any environment. If the collection is non-empty, then projects in the group are limited to only deploying to the environments listed in this collection. Obsolete. Environments are now controlled by lifecycles as of Oct 2014, version 2.6.5.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this project group.RetentionPolicyIdstring
Gets or sets the ID of the retention policy that will apply to projects in this group.SlugstringSpaceIdstring
Example Response
{
"Description": "string",
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RetentionPolicyId": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}Modify an existing project group
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the project group.spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
Descriptionstring
The description of the project group.Idstring (required)
The ID of the project group.Namestring (required)
The name of the project group. Minimum length 1.SlugstringSpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The modified project group
DescriptionstringEnvironmentIdsarray of string
Gets or sets a collection of environment ID’s. If this collection is empty, projects in this group can be deployed to any environment. If the collection is non-empty, then projects in the group are limited to only deploying to the environments listed in this collection. Obsolete. Environments are now controlled by lifecycles as of Oct 2014, version 2.6.5.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this project group.RetentionPolicyIdstring
Gets or sets the ID of the retention policy that will apply to projects in this group.SlugstringSpaceIdstring
Example Request
{
"Description": "string",
"Id": "ProjectGroups-1",
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}Example Response
{
"Description": "string",
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RetentionPolicyId": "string",
"Slug": "string",
"SpaceId": "Spaces-1"
}Delete an existing Project Group
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the project group to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Get a paginated list of the Projects that belong to the given Project Group
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the project group.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — A paginated list of the Projects that belong to the given Project Group
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectAllowIgnoreChannelRulesbooleanAutoCreateReleasebooleanAutoDeployReleaseOverridesarray of objectClonedFromProjectIdstringCombineHealthAndSyncStatusInDashboardLiveStatusbooleanDefaultGuidedFailureModeenum
Allowed values:EnvironmentDefault,Off,On.DefaultPowerShellEditionstringDefaultToSkipIfAlreadyInstalledbooleanDeploymentChangesTemplatestringDeploymentProcessIdstringDeprovisioningRunbookIdstringDescriptionstringDiscreteChannelReleaseboolean
Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereasTrueindicates “microservice”-style usage (single release per environment per channel).ExecuteDeploymentsOnEventBasedPipelinebooleanExtensionSettingsarray of objectForcePackageDownloadbooleanIconobjectIdstring
Gets or sets a unique identifier for this resource.IncludedLibraryVariableSetIdsarray of string
Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.IsBadgesEnabledbooleanIsDisabledbooleanIsVersionControlledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LifecycleIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPersistenceSettingsobjectProjectConnectivityPolicyobjectProjectGroupIdstringProjectTagsarray of string
List of tags assigned to this project.ProjectTemplateDetailsobjectProvisioningRunbookIdstringReleaseCreationStrategyobjectReleaseNotesTemplatestringSlugstringSpaceIdstringTemplatesarray of objectTenantedDeploymentModeenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.VariableSetIdstringVersioningStrategyobject
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"AllowIgnoreChannelRules": true,
"AutoCreateRelease": true,
"AutoDeployReleaseOverrides": [
{}
],
"ClonedFromProjectId": "Projects-1",
"CombineHealthAndSyncStatusInDashboardLiveStatus": true,
"DefaultGuidedFailureMode": "EnvironmentDefault",
"DefaultPowerShellEdition": "string",
"DefaultToSkipIfAlreadyInstalled": true,
"DeploymentChangesTemplate": "string",
"DeploymentProcessId": "string",
"DeprovisioningRunbookId": "Runbooks-1",
"Description": "string",
"DiscreteChannelRelease": true,
"ExecuteDeploymentsOnEventBasedPipeline": true,
"ExtensionSettings": [
{}
],
"ForcePackageDownload": true,
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IncludedLibraryVariableSetIds": [
"string"
],
"IsBadgesEnabled": true,
"IsDisabled": true,
"IsVersionControlled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LifecycleId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PersistenceSettings": {
"Type": "Database"
},
"ProjectConnectivityPolicy": {
"AllowDeploymentsToNoTargets": true,
"ExcludeUnhealthyTargets": true,
"SkipMachineBehavior": "None",
"TargetRoles": [
"string"
]
},
"ProjectGroupId": "string",
"ProjectTags": [
"string"
],
"ProjectTemplateDetails": {
"IsShared": true,
"Slug": "string",
"VersionMask": "string"
},
"ProvisioningRunbookId": "Runbooks-1",
"ReleaseCreationStrategy": {
"ChannelId": "string",
"ReleaseCreationPackage": {}
},
"ReleaseNotesTemplate": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"Templates": [
{}
],
"TenantedDeploymentMode": "Untenanted",
"VariableSetId": "string",
"VersioningStrategy": {
"DonorPackage": {},
"Template": "string"
}
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}